SET NAMES utf8mb4;
CREATE DATABASE IF NOT EXISTS job_manage DEFAULT CHARACTER SET utf8mb4;
USE job_manage;

CREATE TABLE IF NOT EXISTS `host_topo`  (
  `host_id` bigint(20) NOT NULL,
  `set_id` bigint(20) NOT NULL,
  `module_id` bigint(20) NOT NULL,
  PRIMARY KEY (`host_id`, `set_id`, `module_id`) USING BTREE,
  INDEX `idx_set_id`(`set_id`) USING BTREE,
  INDEX `idx_module_id`(`module_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci;

ALTER TABLE `notify_template` ADD COLUMN `is_default` BIT(1) DEFAULT 0;

BEGIN;

DELETE FROM `notify_template` WHERE id in (1,2,3,4,5,6,7,8) AND creator='admin';

INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (1, 'beforeCronJobExecute', '定时任务执行前通知模板', 'mail', '【蓝鲸作业平台】定时任务提醒消息', '<table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; background-color: #fff; background: #fff;\">\r\n	<tbody>\r\n		<tr>\r\n			<td align=\"center\" valign=\"top\" width=\"100%\" style=\"padding: 16px;\">\r\n			   <table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"956\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; padding-top:30px;\">\r\n					<tbody>\r\n						<tr>\r\n							<td valign=\"top\" align=\"center\" style=\"padding: 24px;\" bgcolor=\"#f9f8f6\">\r\n								<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6;\">\r\n									<tr>\r\n										<td class=\"email-title\" style=\"padding: 20px 36px; line-height: 1.5; border-bottom: 1px solid #e6e6e6; background: #fff; font-size: 22px;\">【蓝鲸作业平台】定时任务提醒通知</td>\r\n									</tr>\r\n									<tr>\r\n										<td class=\"email-content\" style=\"padding: 0 36px; background: #fff;\">\r\n											<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n												<tr>\r\n													<td class=\"email-source\" style=\"padding: 14px 0; color: #bebebe;\">来自 蓝鲸作业平台 的消息推送</td>\r\n												</tr>\r\n\r\n												<tr class=\"email-information\">\r\n													<td class=\"table-info\">\r\n														<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n															<tr class=\"table-title\">\r\n																<td style=\"padding-top: 36px; padding-bottom: 14px; color: #707070;\">下列定时任务将在 <font style=\"font-weight:bold;color:red;\">{{ notify_time }}</font> 分钟后 <font style=\"font-weight:bold;\">开始执行</font>，请知悉：</td>\r\n															</tr>\r\n															<tr>\r\n																<td>\r\n																	<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6; border-collapse: collapse;\">\r\n																		<tbody style=\"color: #707070;\">\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">任务名称</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"><a href=\"{{BASE_HOST}}{{cron_uri}}\" style=\"color: #3c96ff\"> {{ cron_name }}</a></td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">所属业务</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\">[{{ APP_ID }}] {{ APP_NAME }}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">设置人</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{ cron_updater }}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">执行策略</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{ cron_type }}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">策略详情</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{ cron_rule }}</td>\r\n																			</tr>\r\n																		</tbody>\r\n																	</table>\r\n																</td>\r\n															</tr>\r\n														</table>\r\n													</td>\r\n												</tr>\r\n\r\n												<tr class=\"prompt-tips\">\r\n													<td style=\"padding-top: 32px; padding-bottom: 10px; color: #707070;\">如有任何疑问，请随时联系蓝鲸助手。</td>\r\n												</tr>\r\n												<tr class=\"info-remark\">\r\n													<td style=\"padding: 20px 0; text-align: right; line-height: 24px; color: #707070;\">\r\n														<div>{{ triggerTime }}</div>\r\n													</td>\r\n												</tr>\r\n											</table>\r\n										</td>\r\n									</tr>\r\n									<tr class=\"email-footer\">\r\n										<td style=\" padding: 20px 0 20px 36px; border-top: 1px solid #e6e6e6; background: #fff; color: #c7c7c7;\">你收到此邮件，是因为开启了该定时任务的执行前消息通知。</td>\r\n									</tr>\r\n								</table>\r\n							</td>\r\n						</tr>\r\n					</tbody>\r\n			   </table>\r\n			</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n', '【BlueKing JOB】Cron Pre-Launch Notification', '<table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; background-color: #fff; background: #fff;\">\r\n	<tbody>\r\n		<tr>\r\n			<td align=\"center\" valign=\"top\" width=\"100%\" style=\"padding: 16px;\">\r\n			   <table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"956\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; padding-top:30px;\">\r\n					<tbody>\r\n						<tr>\r\n							<td valign=\"top\" align=\"center\" style=\"padding: 24px;\" bgcolor=\"#f9f8f6\">\r\n								<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6;\">\r\n									<tr>\r\n										<td class=\"email-title\" style=\"padding: 20px 36px; line-height: 1.5; border-bottom: 1px solid #e6e6e6; background: #fff; font-size: 22px;\">【BlueKing JOB】Cron Pre-Launch Notification</td>\r\n									</tr>\r\n									<tr>\r\n										<td class=\"email-content\" style=\"padding: 0 36px; background: #fff;\">\r\n											<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n												<tr>\r\n													<td class=\"email-source\" style=\"padding: 14px 0; color: #bebebe;\">This message is from <b>BlueKing JOB</b></td>\r\n												</tr>\r\n\r\n												<tr class=\"email-information\">\r\n													<td class=\"table-info\">\r\n														<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n															<tr class=\"table-title\">\r\n																<td style=\"padding-top: 36px; padding-bottom: 14px; color: #707070;\">The Cron task below will <font style=\"font-weight:bold;\">launch automatically</font> after <font style=\"font-weight:bold;color:red;\">{{ notify_time }}</font> mins, please be noted!</td>\r\n															</tr>\r\n															<tr>\r\n																<td>\r\n																	<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6; border-collapse: collapse;\">\r\n																		<tbody style=\"color: #707070;\">\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">TASK NAME</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"><a href=\"{{BASE_HOST}}{{cron_uri}}\" style=\"color: #3c96ff\"> {{ cron_name }}</a></td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">BUSINESS</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\">[{{ APP_ID }}] {{ APP_NAME }}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">OPERATOR</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{ cron_updater }}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">REPEAT FREQUENCY</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{ cron_type }}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">TIME SET</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{ cron_rule }}</td>\r\n																			</tr>\r\n																		</tbody>\r\n																	</table>\r\n																</td>\r\n															</tr>\r\n														</table>\r\n													</td>\r\n												</tr>\r\n\r\n												<tr class=\"prompt-tips\">\r\n													<td style=\"padding-top: 32px; padding-bottom: 10px; color: #707070;\">If You Have Any Questions or Concerns, Please Contact BK Assistant.</td>\r\n												</tr>\r\n												<tr class=\"info-remark\">\r\n													<td style=\"padding: 20px 0; text-align: right; line-height: 24px; color: #707070;\">\r\n														<div>{{ triggerTime }}</div>\r\n													</td>\r\n												</tr>\r\n											</table>\r\n										</td>\r\n									</tr>\r\n									<tr class=\"email-footer\">\r\n										<td style=\" padding: 20px 0 20px 36px; border-top: 1px solid #e6e6e6; background: #fff; color: #c7c7c7;\">Your name is in \"Notify To\" field of this Cron settings, that\'s why you received this message.</td>\r\n									</tr>\r\n								</table>\r\n							</td>\r\n						</tr>\r\n					</tbody>\r\n			   </table>\r\n			</td>\r\n		</tr>\r\n	</tbody>\r\n</table>', 'admin', 'admin', 0, 0, b'1');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (2, 'beforeCronJobExecute', '定时任务执行前通知模板', 'rtx', '【蓝鲸作业平台】定时任务执行前提醒', ' 下列定时任务将在{{ notify_time }}分钟后执行\r\n任务名称：{{ cron_name }}\r\n所属业务：{{ APP_NAME }}\r\n　设置人：{{ cron_updater }}\r\n执行策略：{{ cron_type }}\r\n策略详情：{{ cron_rule }}\r\n查看详情：{{BASE_HOST}}{{cron_uri}}', '【BlueKing JOB】Cron Pre-Launch Notification', 'The task will launch automatically after {{ notify_time }} mins, please be noted!\r\n    Task Name: {{ cron_name }}\r\n        Business: {{ APP_NAME }}\r\n       Operator: {{ cron_updater }}\r\nREPEAT FREQ: {{ cron_type }}\r\n       Time Set: {{ cron_rule }}\r\n          Details: {{BASE_HOST}}{{cron_uri}}', 'admin', 'admin', 0, 0, b'1');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (3, 'beforeCronJobExecute', '定时任务执行前通知模板', 'sms', '定时任务执行前提醒：您的业务[{{ APP_NAME }}]有一个定时任务[{{ cron_name }}]将在{{ notify_time }}分钟后执行，请知悉。【蓝鲸作业平台】', '定时任务执行前提醒：您的业务[{{ APP_NAME }}]有一个定时任务[{{ cron_name }}]将在{{ notify_time }}分钟后执行，请知悉。【蓝鲸作业平台】', 'Cron Pre-Launch Notification: There\'s a task of [{{ APP_NAME }}] will launch automatically after {{ notify_time }} mins, more details: {{BASE_HOST}}{{cron_uri}}【BlueKing JOB】', 'Cron Pre-Launch Notification: There\'s a task of [{{ APP_NAME }}] will launch automatically after {{ notify_time }} mins, more details: {{BASE_HOST}}{{cron_uri}}【BlueKing JOB】', 'admin', 'admin', 0, 0, b'1');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (4, 'beforeCronJobExecute', '定时任务执行前通知模板', 'weixin', '【蓝鲸作业平台】定时任务执行前提醒', ' 下列定时任务将在{{ notify_time }}分钟后执行\r\n任务名称：{{ cron_name }}\r\n所属业务：{{ APP_NAME }}\r\n　设置人：{{ cron_updater }}\r\n执行策略：{{ cron_type }}\r\n策略详情：{{ cron_rule }}\r\n查看详情：{{BASE_HOST}}{{cron_uri}}', '【BlueKing JOB】Cron Pre-Launch Notification', 'The task will launch automatically after {{ notify_time }} mins, please be noted!\r\n    Task Name: {{ cron_name }}\r\n        Business: {{ APP_NAME }}\r\n       Operator: {{ cron_updater }}\r\nREPEAT FREQ: {{ cron_type }}\r\n       Time Set: {{ cron_rule }}\r\n          Details: {{BASE_HOST}}{{cron_uri}}', 'admin', 'admin', 0, 0, b'1');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (5, 'beforeCronJobEnd', '定时任务结束前通知模板', 'mail', '【蓝鲸作业平台】定时任务提醒消息', '<table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; background-color: #fff; background: #fff;\">\r\n	<tbody>\r\n		<tr>\r\n			<td align=\"center\" valign=\"top\" width=\"100%\" style=\"padding: 16px;\">\r\n			   <table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"956\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; padding-top:30px;\">\r\n					<tbody>\r\n						<tr>\r\n							<td valign=\"top\" align=\"center\" style=\"padding: 24px;\" bgcolor=\"#f9f8f6\">\r\n								<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6;\">\r\n									<tr>\r\n										<td class=\"email-title\" style=\"padding: 20px 36px; line-height: 1.5; border-bottom: 1px solid #e6e6e6; background: #fff; font-size: 22px;\">【蓝鲸作业平台】定时任务提醒通知</td>\r\n									</tr>\r\n									<tr>\r\n										<td class=\"email-content\" style=\"padding: 0 36px; background: #fff;\">\r\n											<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n												<tr>\r\n													<td class=\"email-source\" style=\"padding: 14px 0; color: #bebebe;\">来自 蓝鲸作业平台 的消息推送</td>\r\n												</tr>\r\n\r\n												<tr class=\"email-information\">\r\n													<td class=\"table-info\">\r\n														<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n															<tr class=\"table-title\">\r\n																<td style=\"padding-top: 36px; padding-bottom: 14px; color: #707070;\">下列定时任务将在 <font style=\"font-weight:bold;color:red;\">{{ notify_time }}</font> 分钟后 <font style=\"font-weight:bold;\">结束并关闭</font>，请知悉：</td>\r\n															</tr>\r\n															<tr>\r\n																<td>\r\n																	<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6; border-collapse: collapse;\">\r\n																		<tbody style=\"color: #707070;\">\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">任务名称</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"><a href=\"{{BASE_HOST}}{{cron_uri}}\" style=\"color: #3c96ff\"> {{ cron_name }}</a></td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">所属业务</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\">[{{ APP_ID }}] {{ APP_NAME }}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">设置人</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{ cron_updater }}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">执行策略</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{ cron_type }}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">策略详情</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{ cron_rule }}</td>\r\n																			</tr>\r\n																		</tbody>\r\n																	</table>\r\n																</td>\r\n															</tr>\r\n														</table>\r\n													</td>\r\n												</tr>\r\n\r\n												<tr class=\"prompt-tips\">\r\n													<td style=\"padding-top: 32px; padding-bottom: 10px; color: #707070;\">如有任何疑问，请随时联系蓝鲸助手。</td>\r\n												</tr>\r\n												<tr class=\"info-remark\">\r\n													<td style=\"padding: 20px 0; text-align: right; line-height: 24px; color: #707070;\">\r\n														<div>{{ triggerTime }}</div>\r\n													</td>\r\n												</tr>\r\n											</table>\r\n										</td>\r\n									</tr>\r\n									<tr class=\"email-footer\">\r\n										<td style=\" padding: 20px 0 20px 36px; border-top: 1px solid #e6e6e6; background: #fff; color: #c7c7c7;\">你收到此邮件，是因为开启了该定时任务的结束前消息通知。</td>\r\n									</tr>\r\n								</table>\r\n							</td>\r\n						</tr>\r\n					</tbody>\r\n			   </table>\r\n			</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n', '【BlueKing JOB】Cron End-time Notification', '<table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; background-color: #fff; background: #fff;\">\r\n	<tbody>\r\n		<tr>\r\n			<td align=\"center\" valign=\"top\" width=\"100%\" style=\"padding: 16px;\">\r\n			   <table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"956\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; padding-top:30px;\">\r\n					<tbody>\r\n						<tr>\r\n							<td valign=\"top\" align=\"center\" style=\"padding: 24px;\" bgcolor=\"#f9f8f6\">\r\n								<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6;\">\r\n									<tr>\r\n											<td class=\"email-title\" style=\"padding: 20px 36px; line-height: 1.5; border-bottom: 1px solid #e6e6e6; background: #fff; font-size: 22px;\">【BlueKing JOB】Cron End-time Notification</td>\r\n									</tr>\r\n									<tr>\r\n										<td class=\"email-content\" style=\"padding: 0 36px; background: #fff;\">\r\n											<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n												<tr>\r\n													<td class=\"email-source\" style=\"padding: 14px 0; color: #bebebe;\">This message is from <b>BlueKing JOB</b></td>\r\n												</tr>\r\n\r\n												<tr class=\"email-information\">\r\n													<td class=\"table-info\">\r\n														<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n															<tr class=\"table-title\">\r\n																<td style=\"padding-top: 36px; padding-bottom: 14px; color: #707070;\">The Cron task below will <font style=\"font-weight:bold;\">Turn-Off</font> automatically after <font style=\"font-weight:bold;color:red;\">{{ notify_time }}</font> mins, please be noted!</td>\r\n															</tr>\r\n															<tr>\r\n																<td>\r\n																	<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6; border-collapse: collapse;\">\r\n																		<tbody style=\"color: #707070;\">\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">TASK NAME</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"><a href=\"{{BASE_HOST}}{{cron_uri}}\" style=\"color: #3c96ff\"> {{ cron_name }}</a></td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">BUSINESS</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\">[{{ APP_ID }}] {{ APP_NAME }}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">OPERATOR</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{ cron_updater }}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">REPEAT FREQUENCY</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{ cron_type }}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">TIME SET</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{ cron_rule }}</td>\r\n																			</tr>\r\n																		</tbody>\r\n																	</table>\r\n																</td>\r\n															</tr>\r\n														</table>\r\n													</td>\r\n												</tr>\r\n\r\n												<tr class=\"prompt-tips\">\r\n													<td style=\"padding-top: 32px; padding-bottom: 10px; color: #707070;\">If You Have Any Questions or Concerns, Please Contact BK Assistant.</td>\r\n												</tr>\r\n												<tr class=\"info-remark\">\r\n													<td style=\"padding: 20px 0; text-align: right; line-height: 24px; color: #707070;\">\r\n														<div>{{ triggerTime }}</div>\r\n													</td>\r\n												</tr>\r\n											</table>\r\n										</td>\r\n									</tr>\r\n									<tr class=\"email-footer\">\r\n										<td style=\" padding: 20px 0 20px 36px; border-top: 1px solid #e6e6e6; background: #fff; color: #c7c7c7;\">Your name is in \"Notify To\" field of this Cron settings, that\'s why you received this message.</td>\r\n									</tr>\r\n								</table>\r\n							</td>\r\n						</tr>\r\n					</tbody>\r\n			   </table>\r\n			</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n', 'admin', 'admin', 0, 0, b'1');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (6, 'beforeCronJobEnd', '定时任务结束前通知模板', 'rtx', '【蓝鲸作业平台】定时任务结束前提醒', '下列定时任务将在{{ notify_time }}分钟后结束并关闭\r\n任务名称：{{ cron_name }}\r\n所属业务：{{ APP_NAME }}\r\n　设置人：{{ cron_updater }}\r\n执行策略：{{ cron_type }}\r\n策略详情：{{ cron_rule }}\r\n查看详情：{{BASE_HOST}}{{cron_uri}}', '【BlueKing JOB】Cron End-time Notification', 'The task will Turn-Off automatically after {{ notify_time }} mins, please be noted!\r\n    Task Name: {{ cron_name }}\r\n        Business: {{ APP_NAME }}\r\n       Operator: {{ cron_updater }}\r\nREPEAT FREQ: {{ cron_type }}\r\n       Time Set: {{ cron_rule }}\r\n          Details: {{BASE_HOST}}{{cron_uri}}', 'admin', 'admin', 0, 0, b'1');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (7, 'beforeCronJobEnd', '定时任务结束前通知模板', 'sms', '定时任务结束前提醒：您的业务[{{ APP_NAME }}]有一个定时任务[{{ cron_name }}]将在{{ notify_time }}分钟后结束并关闭，请知悉。【蓝鲸作业平台】', '定时任务结束前提醒：您的业务[{{ APP_NAME }}]有一个定时任务[{{ cron_name }}]将在{{ notify_time }}分钟后结束并关闭，请知悉。【蓝鲸作业平台】', 'Cron End-time Notification: There\'s a task of [{{ APP_NAME }}] will Turn-Off automatically after {{ notify_time }} mins, more details: {{BASE_HOST}}{{cron_uri}}【BlueKing JOB】', 'Cron End-time Notification: There\'s a task of [{{ APP_NAME }}] will Turn-Off automatically after {{ notify_time }} mins, more details: {{BASE_HOST}}{{cron_uri}}【BlueKing JOB】', 'admin', 'admin', 0, 0, b'1');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (8, 'beforeCronJobEnd', '定时任务结束前通知模板', 'weixin', '【蓝鲸作业平台】定时任务结束前提醒', '下列定时任务将在{{ notify_time }}分钟后结束并关闭\r\n任务名称：{{ cron_name }}\r\n所属业务：{{ APP_NAME }}\r\n　设置人：{{ cron_updater }}\r\n执行策略：{{ cron_type }}\r\n策略详情：{{ cron_rule }}\r\n查看详情：{{BASE_HOST}}{{cron_uri}}', '【BlueKing JOB】Cron End-time Notification', 'The task will Turn-Off automatically after {{ notify_time }} mins, please be noted!\r\n    Task Name: {{ cron_name }}\r\n        Business: {{ APP_NAME }}\r\n       Operator: {{ cron_updater }}\r\nREPEAT FREQ: {{ cron_type }}\r\n       Time Set: {{ cron_rule }}\r\n          Details: {{BASE_HOST}}{{cron_uri}}', 'admin', 'admin', 0, 0, b'1');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (9, 'confirmation', '人工确认', 'mail', '【蓝鲸作业平台】您有一个待确认的作业需要处理', '<table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; background-color: #fff; background: #fff;\"> <tbody> <tr> <td align=\"center\" valign=\"top\" width=\"100%\" style=\"padding: 16px;\"> <table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"956\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; padding-top:30px;\"> <tbody> <tr> <td valign=\"top\" align=\"center\" style=\"padding: 24px;\" bgcolor=\"#f9f8f6\"> <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6;\"> <tr> <td class=\"email-title\" style=\"padding: 20px 36px; line-height: 1.5; border-bottom: 1px solid #e6e6e6; background: #fff; font-size: 22px;\">【蓝鲸作业平台】您有 1 条待确认的作业任务需要处理</td> </tr> <tr> <td class=\"email-content\" style=\"padding: 0 36px; background: #fff;\"> <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\"> <tr> <td class=\"email-source\" style=\"padding: 14px 0; color: #bebebe;\">来自 蓝鲸作业平台 的消息推送</td> </tr>  <tr class=\"email-information\"> <td class=\"table-info\"> <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\"> <tr class=\"table-title\"> <td style=\"padding-top: 36px; padding-bottom: 14px; color: #707070;\">以下作业任务当前正处于「<font style=\"font-weight:bold;color:orange;\">人工确认</font>」状态，需要您确认才能继续执行：</td> </tr> <tr> <td> <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6; border-collapse: collapse;\"> <tbody style=\"color: #707070;\"> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">任务名称</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"><a href=\"{{task.detail.url}}\" style=\"color: #3c96ff\"> {{task.name}}</a></td> </tr> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">所属业务</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\">[{{task.app.id}}] {{task.app.name}}</td> </tr> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">执行人</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{task.operator}}</td> </tr> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">当前步骤</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{task.step.name}}</td> </tr> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">确认描述</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{confirm.message}}</td> </tr> </tbody> </table> </td> </tr> </table> </td> </tr>  <tr class=\"prompt-tips\"> <td style=\"padding-top: 32px; padding-bottom: 10px; color: #707070;\">如有任何疑问，请随时联系蓝鲸助手。</td> </tr> <tr class=\"info-remark\"> <td style=\"padding: 20px 0; text-align: right; line-height: 24px; color: #707070;\"> <div>{{current.date}}</div> </td> </tr> </table> </td> </tr> <tr class=\"email-footer\"> <td style=\" padding: 20px 0 20px 36px; border-top: 1px solid #e6e6e6; background: #fff; color: #c7c7c7;\">你收到此邮件，是因为你的名字在该任务的「人工确认」步骤的确认人当中。</td> </tr> </table> </td> </tr> </tbody> </table> </td> </tr> </tbody> </table>', '【BlueKing JOB】There\'s one message needs you to confirm', '<table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; background-color: #fff; background: #fff;\">\r\n	<tbody>\r\n		<tr>\r\n			<td align=\"center\" valign=\"top\" width=\"100%\" style=\"padding: 16px;\">\r\n			   <table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"956\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; padding-top:30px;\">\r\n					<tbody>\r\n						<tr>\r\n							<td valign=\"top\" align=\"center\" style=\"padding: 24px;\" bgcolor=\"#f9f8f6\">\r\n								<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6;\">\r\n									<tr>\r\n										<td class=\"email-title\" style=\"padding: 20px 36px; line-height: 1.5; border-bottom: 1px solid #e6e6e6; background: #fff; font-size: 22px;\">【BlueKing JOB】There\'s one message needs you to confirm</td>\r\n									</tr>\r\n									<tr>\r\n										<td class=\"email-content\" style=\"padding: 0 36px; background: #fff;\">\r\n											<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n												<tr>\r\n													<td class=\"email-source\" style=\"padding: 14px 0; color: #bebebe;\">This message is from <b>BlueKing JOB</b></td>\r\n												</tr>\r\n\r\n												<tr class=\"email-information\">\r\n													<td class=\"table-info\">\r\n														<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n															<tr class=\"table-title\">\r\n																<td style=\"padding-top: 36px; padding-bottom: 14px; color: #707070;\">The task below is on \"<font style=\"font-weight:bold;color:orange;\">Confirmation</font>\" status, it needs your permission to continues:</td>\r\n															</tr>\r\n															<tr>\r\n																<td>\r\n																	<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6; border-collapse: collapse;\">\r\n																		<tbody style=\"color: #707070;\">\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">TASK NAME</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"><a href=\"\" style=\"color: #3c96ff\"> {{task.name}}</a></td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">BUSINESS</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\">[{{task.app.id}}] {{task.app.name}}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">LAUNCHED BY</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{task.operator}}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">CURRENT STEP</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{task.step.name}}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">CONFIRMATION INFO</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{confirm.message}}</td>\r\n																			</tr>\r\n																		</tbody>\r\n																	</table>\r\n																</td>\r\n															</tr>\r\n														</table>\r\n													</td>\r\n												</tr>\r\n\r\n												<tr class=\"prompt-tips\">\r\n													<td style=\"padding-top: 32px; padding-bottom: 10px; color: #707070;\">If You Have Any Questions or Concerns, Please Contact BK Assistant.</td>\r\n												</tr>\r\n												<tr class=\"info-remark\">\r\n													<td style=\"padding: 20px 0; text-align: right; line-height: 24px; color: #707070;\">\r\n														<div>{{current.date}}</div>\r\n													</td>\r\n												</tr>\r\n											</table>\r\n										</td>\r\n									</tr>\r\n									<tr class=\"email-footer\">\r\n										<td style=\" padding: 20px 0 20px 36px; border-top: 1px solid #e6e6e6; background: #fff; color: #c7c7c7;\">Your name is in \"Confirmer\" field of this Confirmation step, that\'s why you received this message.</td>\r\n									</tr>\r\n								</table>\r\n							</td>\r\n						</tr>\r\n					</tbody>\r\n			   </table>\r\n			</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n', 'admin', 'admin', 0, 0, b'1');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (10, 'executeSuccess', '执行成功', 'mail', '【蓝鲸作业平台】任务执行成功通知', '<table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; background-color: #fff; background: #fff;\"> <tbody> <tr> <td align=\"center\" valign=\"top\" width=\"100%\" style=\"padding: 16px;\"> <table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"956\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; padding-top:30px;\"> <tbody> <tr> <td valign=\"top\" align=\"center\" style=\"padding: 24px;\" bgcolor=\"#f9f8f6\"> <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6;\"> <tr> <td class=\"email-title\" style=\"padding: 20px 36px; line-height: 1.5; border-bottom: 1px solid #e6e6e6; background: #fff; font-size: 22px;\">【蓝鲸作业平台】任务执行成功通知</td> </tr> <tr> <td class=\"email-content\" style=\"padding: 0 36px; background: #fff;\"> <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\"> <tr> <td class=\"email-source\" style=\"padding: 14px 0; color: #bebebe;\">来自 蓝鲸作业平台 的消息推送</td> </tr>  <tr class=\"email-information\"> <td class=\"table-info\"> <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\"> <tr class=\"table-title\"> <td style=\"padding-top: 36px; padding-bottom: 14px; color: #707070;\">以下作业任务已「<font style=\"font-weight:bold; color:#56da56;\">执行成功</font>」，请查收：</td> </tr> <tr> <td> <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6; border-collapse: collapse;\"> <tbody style=\"color: #707070;\"> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">任务名称</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"><a href=\"{{task.detail.url}}\" style=\"color: #3c96ff\"> {{task.name}}</a></td> </tr> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">所属业务</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\">[{{task.app.id}}] {{task.app.name}}</td> </tr> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">执行人</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{task.operator}}</td> </tr> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">总耗时</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{task.cost}}<br></td> </tr> </tbody> </table> </td> </tr> </table> </td> </tr>  <tr class=\"prompt-tips\"> <td style=\"padding-top: 32px; padding-bottom: 10px; color: #707070;\">如有任何疑问，请随时联系蓝鲸助手。</td> </tr> <tr class=\"info-remark\"> <td style=\"padding: 20px 0; text-align: right; line-height: 24px; color: #707070;\"> <div>{{current.date}}</div> </td> </tr> </table> </td> </tr> <tr class=\"email-footer\"> <td style=\" padding: 20px 0 20px 36px; border-top: 1px solid #e6e6e6; background: #fff; color: #c7c7c7;\">你收到此邮件，是因为开启了任务执行成功的消息通知功能。</td> </tr> </table> </td> </tr> </tbody> </table> </td> </tr> </tbody> </table>', '【BlueKing JOB】Task has running successfully', '<table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; background-color: #fff; background: #fff;\">\r\n	<tbody>\r\n		<tr>\r\n			<td align=\"center\" valign=\"top\" width=\"100%\" style=\"padding: 16px;\">\r\n			   <table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"956\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; padding-top:30px;\">\r\n					<tbody>\r\n						<tr>\r\n							<td valign=\"top\" align=\"center\" style=\"padding: 24px;\" bgcolor=\"#f9f8f6\">\r\n								<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6;\">\r\n									<tr>\r\n										<td class=\"email-title\" style=\"padding: 20px 36px; line-height: 1.5; border-bottom: 1px solid #e6e6e6; background: #fff; font-size: 22px;\">【BlueKing JOB】Task has running successfully</td>\r\n									</tr>\r\n									<tr>\r\n										<td class=\"email-content\" style=\"padding: 0 36px; background: #fff;\">\r\n											<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n												<tr>\r\n													<td class=\"email-source\" style=\"padding: 14px 0; color: #bebebe;\">This message is from <b>BlueKing JOB</b></td>\r\n												</tr>\r\n\r\n												<tr class=\"email-information\">\r\n													<td class=\"table-info\">\r\n														<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n															<tr class=\"table-title\">\r\n																<td style=\"padding-top: 36px; padding-bottom: 14px; color: #707070;\">The task below has running <font style=\"font-weight:bold; color:#56da56;\">Successfully</font>, please be noted.</td>\r\n															</tr>\r\n															<tr>\r\n																<td>\r\n																	<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6; border-collapse: collapse;\">\r\n																		<tbody style=\"color: #707070;\">\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">TASK NAME</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"><a href=\"\" style=\"color: #3c96ff\"> {{task.name}}</a></td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">BUSINESS</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\">[{{task.app.id}}] {{task.app.name}}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">LAUNCHED BY</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{task.operator}}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">DURATION</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{task.cost}} s</td>\r\n																			</tr>\r\n																		</tbody>\r\n																	</table>\r\n																</td>\r\n															</tr>\r\n														</table>\r\n													</td>\r\n												</tr>\r\n\r\n												<tr class=\"prompt-tips\">\r\n													<td style=\"padding-top: 32px; padding-bottom: 10px; color: #707070;\">If You Have Any Questions or Concerns, Please Contact BK Assistant.</td>\r\n												</tr>\r\n												<tr class=\"info-remark\">\r\n													<td style=\"padding: 20px 0; text-align: right; line-height: 24px; color: #707070;\">\r\n														<div>{{current.date}}</div>\r\n													</td>\r\n												</tr>\r\n											</table>\r\n										</td>\r\n									</tr>\r\n									<tr class=\"email-footer\">\r\n										<td style=\" padding: 20px 0 20px 36px; border-top: 1px solid #e6e6e6; background: #fff; color: #c7c7c7;\">You can receive this message because you have been turn-on the notification setting of task running success.</td>\r\n									</tr>\r\n								</table>\r\n							</td>\r\n						</tr>\r\n					</tbody>\r\n			   </table>\r\n			</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n', 'admin', 'admin', 0, 0, b'1');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (11, 'executeFailure', '执行失败', 'mail', '【蓝鲸作业平台】任务执行失败通知', '<table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; background-color: #fff; background: #fff;\"> <tbody> <tr> <td align=\"center\" valign=\"top\" width=\"100%\" style=\"padding: 16px;\"> <table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"956\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; padding-top:30px;\"> <tbody> <tr> <td valign=\"top\" align=\"center\" style=\"padding: 24px;\" bgcolor=\"#f9f8f6\"> <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6;\"> <tr> <td class=\"email-title\" style=\"padding: 20px 36px; line-height: 1.5; border-bottom: 1px solid #e6e6e6; background: #fff; font-size: 22px;\">【蓝鲸作业平台】任务执行失败通知</td> </tr> <tr> <td class=\"email-content\" style=\"padding: 0 36px; background: #fff;\"> <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\"> <tr> <td class=\"email-source\" style=\"padding: 14px 0; color: #bebebe;\">来自 蓝鲸作业平台 的消息推送</td> </tr>  <tr class=\"email-information\"> <td class=\"table-info\"> <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\"> <tr class=\"table-title\"> <td style=\"padding-top: 36px; padding-bottom: 14px; color: #707070;\">以下作业任务当前正处于「<font style=\"font-weight:bold;color:red;\">执行失败</font>」状态，请及时处理：</td> </tr> <tr> <td> <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6; border-collapse: collapse;\"> <tbody style=\"color: #707070;\"> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">任务名称</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"><a href=\"{{task.detail.url}}\" style=\"color: #3c96ff\"> {{task.name}}</a></td> </tr> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">所属业务</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\">[{{task.app.id}}] {{task.app.name}}</td> </tr> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">执行人</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{task.operator}}</td> </tr> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">失败步骤</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{task.step.name}}</td> </tr> </tbody> </table> </td> </tr> </table> </td> </tr>  <tr class=\"prompt-tips\"> <td style=\"padding-top: 32px; padding-bottom: 10px; color: #707070;\">如有任何疑问，请随时联系蓝鲸助手。</td> </tr> <tr class=\"info-remark\"> <td style=\"padding: 20px 0; text-align: right; line-height: 24px; color: #707070;\"> <div>{{current.date}}</div> </td> </tr> </table> </td> </tr> <tr class=\"email-footer\"> <td style=\" padding: 20px 0 20px 36px; border-top: 1px solid #e6e6e6; background: #fff; color: #c7c7c7;\">你收到此邮件，是因为开启了任务执行失败的消息通知功能。</td> </tr> </table> </td> </tr> </tbody> </table> </td> </tr> </tbody> </table>', '【BlueKing JOB】Task failed during execution', '<table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; background-color: #fff; background: #fff;\">\r\n	<tbody>\r\n		<tr>\r\n			<td align=\"center\" valign=\"top\" width=\"100%\" style=\"padding: 16px;\">\r\n			   <table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"956\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; padding-top:30px;\">\r\n					<tbody>\r\n						<tr>\r\n							<td valign=\"top\" align=\"center\" style=\"padding: 24px;\" bgcolor=\"#f9f8f6\">\r\n								<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6;\">\r\n									<tr>\r\n										<td class=\"email-title\" style=\"padding: 20px 36px; line-height: 1.5; border-bottom: 1px solid #e6e6e6; background: #fff; font-size: 22px;\">【BlueKing JOB】Task failed during execution</td>\r\n									</tr>\r\n									<tr>\r\n										<td class=\"email-content\" style=\"padding: 0 36px; background: #fff;\">\r\n											<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n												<tr>\r\n													<td class=\"email-source\" style=\"padding: 14px 0; color: #bebebe;\">This message is from <b>BlueKing JOB</b></td>\r\n												</tr>\r\n\r\n												<tr class=\"email-information\">\r\n													<td class=\"table-info\">\r\n														<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n															<tr class=\"table-title\">\r\n																<td style=\"padding-top: 36px; padding-bottom: 14px; color: #707070;\">The task below is on \"<font style=\"font-weight:bold;color:red;\">Failed</font>\" status, please be noted!</td>\r\n															</tr>\r\n															<tr>\r\n																<td>\r\n																	<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6; border-collapse: collapse;\">\r\n																		<tbody style=\"color: #707070;\">\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">TASK NAME</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"><a href=\"\" style=\"color: #3c96ff\"> {{task.name}}</a></td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">BUSINESS</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\">[{{task.app.id}}] {{task.app.name}}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">LAUNCHED BY</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{task.operator}}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">FAILED_STEP</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{task.step.name}}</td>\r\n																			</tr>\r\n																		</tbody>\r\n																	</table>\r\n																</td>\r\n															</tr>\r\n														</table>\r\n													</td>\r\n												</tr>\r\n\r\n												<tr class=\"prompt-tips\">\r\n													<td style=\"padding-top: 32px; padding-bottom: 10px; color: #707070;\">If You Have Any Questions or Concerns, Please Contact BK Assistant.</td>\r\n												</tr>\r\n												<tr class=\"info-remark\">\r\n													<td style=\"padding: 20px 0; text-align: right; line-height: 24px; color: #707070;\">\r\n														<div>{{current.date}}</div>\r\n													</td>\r\n												</tr>\r\n											</table>\r\n										</td>\r\n									</tr>\r\n									<tr class=\"email-footer\">\r\n										<td style=\" padding: 20px 0 20px 36px; border-top: 1px solid #e6e6e6; background: #fff; color: #c7c7c7;\">You can receive this message because you have been turn-on the notification setting of task running failed.</td>\r\n									</tr>\r\n								</table>\r\n							</td>\r\n						</tr>\r\n					</tbody>\r\n			   </table>\r\n			</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n', 'admin', 'admin', 0, 0, b'1');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (12, 'confirmation', '人工确认', 'weixin', '【蓝鲸作业平台】待确认任务', '任务名称：{{task.name}}\n所属业务：{{task.app.name}}\n   执行人：{{task.operator}}\n当前步骤：{{task.step.name}}\n确认描述：{{confirm.message}}\n查看详情：{{task.detail.url}}', '【BlueKing JOB】There\'s one message needs you to confirm', '   Task Name: {{task.name}}\r\n    Business: {{task.app.name}}\r\n Launched By: {{task.operator}}\r\nCurrent Step: {{task.step.name}}\r\nConfirm Info: {{confirm.message}}\r\n     Details: {{task.detail.url}}', 'admin', 'admin', 0, 0, b'1');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (13, 'executeSuccess', '执行成功', 'weixin', '【蓝鲸作业平台】任务执行成功通知', '任务名称：{{task.name}}\n所属业务：{{task.app.name}}\n   执行人：{{task.operator}}\n执行耗时：{{task.cost}}\n查看详情：{{task.detail.url}}', '【BlueKing JOB】Task has running successfully', '  Task Name: {{task.name}}\r\n   Business: {{task.app.name}}\r\nLaunched By: {{task.operator}}\r\n   Duration: {{task.cost}} s\r\n    Details: {{task.detail.url}}', 'admin', 'admin', 0, 0, b'1');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (14, 'executeFailure', '执行失败', 'weixin', '【蓝鲸作业平台】任务执行失败通知', '任务名称：{{task.name}}\n所属业务：{{task.app.name}}\n   执行人：{{task.operator}}\n失败步骤：{{task.step.name}}\n查看详情：{{task.detail.url}}', '【BlueKing JOB】Task failed during execution', '  Task Name: {{task.name}}\r\n   Business: {{task.app.name}}\r\nLaunched By: {{task.operator}}\r\nFailed Step: {{task.step.name}}\r\n    Details: {{task.detail.url}}', 'admin', 'admin', 0, 0, b'1');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (15, 'confirmation', '人工确认', 'sms', '【蓝鲸作业平台】待确认任务', '您的业务[{{task.app.name}}]当前有一个待确认的作业任务:{{task.name}}({{task.detail.url}})需要处理，请尽快操作。【蓝鲸作业平台】', '【BlueKing JOB】There\'s one message needs you to confirm', 'There\'s a task of [{{task.app.name}}] is on \"Confirmation\" status now, more details: {{task.name}}({{task.detail.url}})【BlueKing JOB】', 'admin', 'admin', 0, 0, b'1');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (16, 'executeSuccess', '执行成功', 'sms', '【蓝鲸作业平台】任务执行成功通知', '您的业务[{{task.app.name}}]当前有一个任务:{{task.name}}({{task.detail.url}})已执行成功，请尽快查看。【蓝鲸作业平台】', '【BlueKing JOB】Task has running successfully', 'There\'s a task of [{{task.app.name}}] is running successfully, more details: {{task.name}}({{task.detail.url}})【BlueKing JOB】', 'admin', 'admin', 0, 0, b'1');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (17, 'executeFailure', '执行失败', 'sms', '【蓝鲸作业平台】任务执行失败通知', '您的业务[{{task.app.name}}]当前有一个任务:{{task.name}}({{task.detail.url}})执行失败，请尽快查看。【蓝鲸作业平台】', '【BlueKing JOB】Task failed during execution', 'There\'s a task of [{{task.app.name}}] is run \"Failed\", please be noted! more details: {{task.name}}({{task.detail.url}})【BlueKing JOB】', 'admin', 'admin', 0, 0, b'1');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (18, 'confirmation', '人工确认', 'common', '【蓝鲸作业平台】您有一个待确认的作业需要处理', '任务名称：{{task.name}}\n所属业务：{{task.app.name}}\n   执行人：{{task.operator}}\n当前步骤：{{task.step.name}}\n确认描述：{{confirm.message}}\n查看详情：{{task.detail.url}}', '【BlueKing JOB】There\'s one message needs you to confirm', '   Task Name: {{task.name}}\r\n    Business: {{task.app.name}}\r\n Launched By: {{task.operator}}\r\nCurrent Step: {{task.step.name}}\r\nConfirm Info: {{confirm.message}}\r\nTask Details: {{task.detail.url}}', 'admin', 'admin', 0, 0, b'1');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (19, 'executeSuccess', '执行成功', 'common', '【蓝鲸作业平台】任务执行成功通知', '任务名称：{{task.name}}\n所属业务：{{task.app.name}}\n   执行人：{{task.operator}}\n执行耗时：{{task.cost}}\n查看详情：{{task.detail.url}}', '【BlueKing JOB】Task has running successfully', '  Task Name: {{task.name}}\r\n   Business: {{task.app.name}}\r\nLaunched By: {{task.operator}}\r\n   Duration: {{task.cost}} s\r\n    Details: {{task.detail.url}}', 'admin', 'admin', 0, 0, b'1');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (20, 'executeFailure', '执行失败', 'common', '【蓝鲸作业平台】任务执行失败通知', '任务名称：{{task.name}}\n所属业务：{{task.app.name}}\n   执行人：{{task.operator}}\n失败步骤：{{task.step.name}}\n查看详情：{{task.detail.url}}', '【BlueKing JOB】Task failed during execution', '  Task Name: {{task.name}}\r\n   Business: {{task.app.name}}\r\nLaunched By: {{task.operator}}\r\nFailed Step: {{task.step.name}}\r\n    Details: {{task.detail.url}}', 'admin', 'admin', 0, 0, b'1');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (21, 'confirmation', '人工确认', 'rtx', '【蓝鲸作业平台】待确认任务', '任务名称：{{task.name}}\r\n所属业务：{{task.app.name}}\r\n  执行人：{{task.operator}}\r\n当前步骤：{{task.step.name}}\r\n确认描述：{{confirm.message}}\r\n查看详情：{{task.detail.url}}', '【BlueKing JOB】There\'s one message needs you to confirm', '   Task Name: {{task.name}}\r\n    Business: {{task.app.name}}\r\n Launched By: {{task.operator}}\r\nCurrent Step: {{task.step.name}}\r\nConfirm Info: {{confirm.message}}\r\nTask Details: {{task.detail.url}}', 'admin', 'admin', 0, 0, b'1');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (22, 'executeSuccess', '执行成功', 'rtx', '【蓝鲸作业平台】任务执行成功通知', '任务名称：{{task.name}}\n所属业务：{{task.app.name}}\n   执行人：{{task.operator}}\n执行耗时：{{task.cost}}\n查看详情：{{task.detail.url}}', '【BlueKing JOB】Task has running successfully', '  Task Name: {{task.name}}\r\n   Business: {{task.app.name}}\r\nLaunched By: {{task.operator}}\r\n   Duration: {{task.cost}} s\r\n    Details: {{task.detail.url}}', 'admin', 'admin', 0, 0, b'1');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (23, 'executeFailure', '执行失败', 'rtx', '【蓝鲸作业平台】任务执行失败通知', '任务名称：{{task.name}}\n所属业务：{{task.app.name}}\n   执行人：{{task.operator}}\n失败步骤：{{task.step.name}}\n查看详情：{{task.detail.url}}', '【BlueKing JOB】Task failed during execution', '  Task Name: {{task.name}}\r\n   Business: {{task.app.name}}\r\nLaunched By: {{task.operator}}\r\nFailed Step: {{task.step.name}}\r\n    Details: {{task.detail.url}}', 'admin', 'admin', 0, 0, b'1');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (24, 'beforeCronJobExecute', '定时任务执行前通知模板', 'mail', '【蓝鲸作业平台】定时任务提醒消息', '<table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; background-color: #fff; background: #fff;\">\r\n	<tbody>\r\n		<tr>\r\n			<td align=\"center\" valign=\"top\" width=\"100%\" style=\"padding: 16px;\">\r\n			   <table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"956\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; padding-top:30px;\">\r\n					<tbody>\r\n						<tr>\r\n							<td valign=\"top\" align=\"center\" style=\"padding: 24px;\" bgcolor=\"#f9f8f6\">\r\n								<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6;\">\r\n									<tr>\r\n										<td class=\"email-title\" style=\"padding: 20px 36px; line-height: 1.5; border-bottom: 1px solid #e6e6e6; background: #fff; font-size: 22px;\">【蓝鲸作业平台】定时任务提醒通知</td>\r\n									</tr>\r\n									<tr>\r\n										<td class=\"email-content\" style=\"padding: 0 36px; background: #fff;\">\r\n											<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n												<tr>\r\n													<td class=\"email-source\" style=\"padding: 14px 0; color: #bebebe;\">来自 蓝鲸作业平台 的消息推送</td>\r\n												</tr>\r\n\r\n												<tr class=\"email-information\">\r\n													<td class=\"table-info\">\r\n														<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n															<tr class=\"table-title\">\r\n																<td style=\"padding-top: 36px; padding-bottom: 14px; color: #707070;\">下列定时任务将在 <font style=\"font-weight:bold;color:red;\">{{ notify_time }}</font> 分钟后 <font style=\"font-weight:bold;\">开始执行</font>，请知悉：</td>\r\n															</tr>\r\n															<tr>\r\n																<td>\r\n																	<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6; border-collapse: collapse;\">\r\n																		<tbody style=\"color: #707070;\">\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">任务名称</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"><a href=\"{{BASE_HOST}}{{cron_uri}}\" style=\"color: #3c96ff\"> {{ cron_name }}</a></td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">所属业务</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\">[{{ APP_ID }}] {{ APP_NAME }}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">设置人</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{ cron_updater }}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">执行策略</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{ cron_type }}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">策略详情</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{ cron_rule }}</td>\r\n																			</tr>\r\n																		</tbody>\r\n																	</table>\r\n																</td>\r\n															</tr>\r\n														</table>\r\n													</td>\r\n												</tr>\r\n\r\n												<tr class=\"prompt-tips\">\r\n													<td style=\"padding-top: 32px; padding-bottom: 10px; color: #707070;\">如有任何疑问，请随时联系蓝鲸助手。</td>\r\n												</tr>\r\n												<tr class=\"info-remark\">\r\n													<td style=\"padding: 20px 0; text-align: right; line-height: 24px; color: #707070;\">\r\n														<div>{{ triggerTime }}</div>\r\n													</td>\r\n												</tr>\r\n											</table>\r\n										</td>\r\n									</tr>\r\n									<tr class=\"email-footer\">\r\n										<td style=\" padding: 20px 0 20px 36px; border-top: 1px solid #e6e6e6; background: #fff; color: #c7c7c7;\">你收到此邮件，是因为开启了该定时任务的执行前消息通知。</td>\r\n									</tr>\r\n								</table>\r\n							</td>\r\n						</tr>\r\n					</tbody>\r\n			   </table>\r\n			</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n', '【BlueKing JOB】Cron Pre-Launch Notification', '<table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; background-color: #fff; background: #fff;\">\r\n	<tbody>\r\n		<tr>\r\n			<td align=\"center\" valign=\"top\" width=\"100%\" style=\"padding: 16px;\">\r\n			   <table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"956\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; padding-top:30px;\">\r\n					<tbody>\r\n						<tr>\r\n							<td valign=\"top\" align=\"center\" style=\"padding: 24px;\" bgcolor=\"#f9f8f6\">\r\n								<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6;\">\r\n									<tr>\r\n										<td class=\"email-title\" style=\"padding: 20px 36px; line-height: 1.5; border-bottom: 1px solid #e6e6e6; background: #fff; font-size: 22px;\">【BlueKing JOB】Cron Pre-Launch Notification</td>\r\n									</tr>\r\n									<tr>\r\n										<td class=\"email-content\" style=\"padding: 0 36px; background: #fff;\">\r\n											<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n												<tr>\r\n													<td class=\"email-source\" style=\"padding: 14px 0; color: #bebebe;\">This message is from <b>BlueKing JOB</b></td>\r\n												</tr>\r\n\r\n												<tr class=\"email-information\">\r\n													<td class=\"table-info\">\r\n														<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n															<tr class=\"table-title\">\r\n																<td style=\"padding-top: 36px; padding-bottom: 14px; color: #707070;\">The Cron task below will <font style=\"font-weight:bold;\">launch automatically</font> after <font style=\"font-weight:bold;color:red;\">{{ notify_time }}</font> mins, please be noted!</td>\r\n															</tr>\r\n															<tr>\r\n																<td>\r\n																	<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6; border-collapse: collapse;\">\r\n																		<tbody style=\"color: #707070;\">\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">TASK NAME</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"><a href=\"{{BASE_HOST}}{{cron_uri}}\" style=\"color: #3c96ff\"> {{ cron_name }}</a></td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">BUSINESS</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\">[{{ APP_ID }}] {{ APP_NAME }}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">OPERATOR</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{ cron_updater }}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">REPEAT FREQUENCY</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{ cron_type }}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">TIME SET</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{ cron_rule }}</td>\r\n																			</tr>\r\n																		</tbody>\r\n																	</table>\r\n																</td>\r\n															</tr>\r\n														</table>\r\n													</td>\r\n												</tr>\r\n\r\n												<tr class=\"prompt-tips\">\r\n													<td style=\"padding-top: 32px; padding-bottom: 10px; color: #707070;\">If You Have Any Questions or Concerns, Please Contact BK Assistant.</td>\r\n												</tr>\r\n												<tr class=\"info-remark\">\r\n													<td style=\"padding: 20px 0; text-align: right; line-height: 24px; color: #707070;\">\r\n														<div>{{ triggerTime }}</div>\r\n													</td>\r\n												</tr>\r\n											</table>\r\n										</td>\r\n									</tr>\r\n									<tr class=\"email-footer\">\r\n										<td style=\" padding: 20px 0 20px 36px; border-top: 1px solid #e6e6e6; background: #fff; color: #c7c7c7;\">Your name is in \"Notify To\" field of this Cron settings, that\'s why you received this message.</td>\r\n									</tr>\r\n								</table>\r\n							</td>\r\n						</tr>\r\n					</tbody>\r\n			   </table>\r\n			</td>\r\n		</tr>\r\n	</tbody>\r\n</table>', 'admin', 'admin', 0, 0, b'0');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (25, 'beforeCronJobExecute', '定时任务执行前通知模板', 'rtx', '【蓝鲸作业平台】定时任务执行前提醒', ' 下列定时任务将在{{ notify_time }}分钟后执行\r\n任务名称：{{ cron_name }}\r\n所属业务：{{ APP_NAME }}\r\n　设置人：{{ cron_updater }}\r\n执行策略：{{ cron_type }}\r\n策略详情：{{ cron_rule }}\r\n查看详情：{{BASE_HOST}}{{cron_uri}}', '【BlueKing JOB】Cron Pre-Launch Notification', 'The task will launch automatically after {{ notify_time }} mins, please be noted!\r\n    Task Name: {{ cron_name }}\r\n        Business: {{ APP_NAME }}\r\n       Operator: {{ cron_updater }}\r\nREPEAT FREQ: {{ cron_type }}\r\n       Time Set: {{ cron_rule }}\r\n          Details: {{BASE_HOST}}{{cron_uri}}', 'admin', 'admin', 0, 0, b'0');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (26, 'beforeCronJobExecute', '定时任务执行前通知模板', 'sms', '定时任务执行前提醒：您的业务[{{ APP_NAME }}]有一个定时任务[{{ cron_name }}]将在{{ notify_time }}分钟后执行，请知悉。【蓝鲸作业平台】', '定时任务执行前提醒：您的业务[{{ APP_NAME }}]有一个定时任务[{{ cron_name }}]将在{{ notify_time }}分钟后执行，请知悉。【蓝鲸作业平台】', 'Cron Pre-Launch Notification: There\'s a task of [{{ APP_NAME }}] will launch automatically after {{ notify_time }} mins, more details: {{BASE_HOST}}{{cron_uri}}【BlueKing JOB】', 'Cron Pre-Launch Notification: There\'s a task of [{{ APP_NAME }}] will launch automatically after {{ notify_time }} mins, more details: {{BASE_HOST}}{{cron_uri}}【BlueKing JOB】', 'admin', 'admin', 0, 0, b'0');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (27, 'beforeCronJobExecute', '定时任务执行前通知模板', 'weixin', '【蓝鲸作业平台】定时任务执行前提醒', ' 下列定时任务将在{{ notify_time }}分钟后执行\r\n任务名称：{{ cron_name }}\r\n所属业务：{{ APP_NAME }}\r\n　设置人：{{ cron_updater }}\r\n执行策略：{{ cron_type }}\r\n策略详情：{{ cron_rule }}\r\n查看详情：{{BASE_HOST}}{{cron_uri}}', '【BlueKing JOB】Cron Pre-Launch Notification', 'The task will launch automatically after {{ notify_time }} mins, please be noted!\r\n    Task Name: {{ cron_name }}\r\n        Business: {{ APP_NAME }}\r\n       Operator: {{ cron_updater }}\r\nREPEAT FREQ: {{ cron_type }}\r\n       Time Set: {{ cron_rule }}\r\n          Details: {{BASE_HOST}}{{cron_uri}}', 'admin', 'admin', 0, 0, b'0');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (28, 'beforeCronJobEnd', '定时任务结束前通知模板', 'mail', '【蓝鲸作业平台】定时任务提醒消息', '<table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; background-color: #fff; background: #fff;\">\r\n	<tbody>\r\n		<tr>\r\n			<td align=\"center\" valign=\"top\" width=\"100%\" style=\"padding: 16px;\">\r\n			   <table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"956\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; padding-top:30px;\">\r\n					<tbody>\r\n						<tr>\r\n							<td valign=\"top\" align=\"center\" style=\"padding: 24px;\" bgcolor=\"#f9f8f6\">\r\n								<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6;\">\r\n									<tr>\r\n										<td class=\"email-title\" style=\"padding: 20px 36px; line-height: 1.5; border-bottom: 1px solid #e6e6e6; background: #fff; font-size: 22px;\">【蓝鲸作业平台】定时任务提醒通知</td>\r\n									</tr>\r\n									<tr>\r\n										<td class=\"email-content\" style=\"padding: 0 36px; background: #fff;\">\r\n											<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n												<tr>\r\n													<td class=\"email-source\" style=\"padding: 14px 0; color: #bebebe;\">来自 蓝鲸作业平台 的消息推送</td>\r\n												</tr>\r\n\r\n												<tr class=\"email-information\">\r\n													<td class=\"table-info\">\r\n														<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n															<tr class=\"table-title\">\r\n																<td style=\"padding-top: 36px; padding-bottom: 14px; color: #707070;\">下列定时任务将在 <font style=\"font-weight:bold;color:red;\">{{ notify_time }}</font> 分钟后 <font style=\"font-weight:bold;\">结束并关闭</font>，请知悉：</td>\r\n															</tr>\r\n															<tr>\r\n																<td>\r\n																	<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6; border-collapse: collapse;\">\r\n																		<tbody style=\"color: #707070;\">\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">任务名称</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"><a href=\"{{BASE_HOST}}{{cron_uri}}\" style=\"color: #3c96ff\"> {{ cron_name }}</a></td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">所属业务</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\">[{{ APP_ID }}] {{ APP_NAME }}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">设置人</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{ cron_updater }}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">执行策略</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{ cron_type }}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">策略详情</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{ cron_rule }}</td>\r\n																			</tr>\r\n																		</tbody>\r\n																	</table>\r\n																</td>\r\n															</tr>\r\n														</table>\r\n													</td>\r\n												</tr>\r\n\r\n												<tr class=\"prompt-tips\">\r\n													<td style=\"padding-top: 32px; padding-bottom: 10px; color: #707070;\">如有任何疑问，请随时联系蓝鲸助手。</td>\r\n												</tr>\r\n												<tr class=\"info-remark\">\r\n													<td style=\"padding: 20px 0; text-align: right; line-height: 24px; color: #707070;\">\r\n														<div>{{ triggerTime }}</div>\r\n													</td>\r\n												</tr>\r\n											</table>\r\n										</td>\r\n									</tr>\r\n									<tr class=\"email-footer\">\r\n										<td style=\" padding: 20px 0 20px 36px; border-top: 1px solid #e6e6e6; background: #fff; color: #c7c7c7;\">你收到此邮件，是因为开启了该定时任务的结束前消息通知。</td>\r\n									</tr>\r\n								</table>\r\n							</td>\r\n						</tr>\r\n					</tbody>\r\n			   </table>\r\n			</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n', '【BlueKing JOB】Cron End-time Notification', '<table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; background-color: #fff; background: #fff;\">\r\n	<tbody>\r\n		<tr>\r\n			<td align=\"center\" valign=\"top\" width=\"100%\" style=\"padding: 16px;\">\r\n			   <table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"956\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; padding-top:30px;\">\r\n					<tbody>\r\n						<tr>\r\n							<td valign=\"top\" align=\"center\" style=\"padding: 24px;\" bgcolor=\"#f9f8f6\">\r\n								<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6;\">\r\n									<tr>\r\n											<td class=\"email-title\" style=\"padding: 20px 36px; line-height: 1.5; border-bottom: 1px solid #e6e6e6; background: #fff; font-size: 22px;\">【BlueKing JOB】Cron End-time Notification</td>\r\n									</tr>\r\n									<tr>\r\n										<td class=\"email-content\" style=\"padding: 0 36px; background: #fff;\">\r\n											<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n												<tr>\r\n													<td class=\"email-source\" style=\"padding: 14px 0; color: #bebebe;\">This message is from <b>BlueKing JOB</b></td>\r\n												</tr>\r\n\r\n												<tr class=\"email-information\">\r\n													<td class=\"table-info\">\r\n														<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n															<tr class=\"table-title\">\r\n																<td style=\"padding-top: 36px; padding-bottom: 14px; color: #707070;\">The Cron task below will <font style=\"font-weight:bold;\">Turn-Off</font> automatically after <font style=\"font-weight:bold;color:red;\">{{ notify_time }}</font> mins, please be noted!</td>\r\n															</tr>\r\n															<tr>\r\n																<td>\r\n																	<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6; border-collapse: collapse;\">\r\n																		<tbody style=\"color: #707070;\">\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">TASK NAME</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"><a href=\"{{BASE_HOST}}{{cron_uri}}\" style=\"color: #3c96ff\"> {{ cron_name }}</a></td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">BUSINESS</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\">[{{ APP_ID }}] {{ APP_NAME }}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">OPERATOR</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{ cron_updater }}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">REPEAT FREQUENCY</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{ cron_type }}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">TIME SET</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{ cron_rule }}</td>\r\n																			</tr>\r\n																		</tbody>\r\n																	</table>\r\n																</td>\r\n															</tr>\r\n														</table>\r\n													</td>\r\n												</tr>\r\n\r\n												<tr class=\"prompt-tips\">\r\n													<td style=\"padding-top: 32px; padding-bottom: 10px; color: #707070;\">If You Have Any Questions or Concerns, Please Contact BK Assistant.</td>\r\n												</tr>\r\n												<tr class=\"info-remark\">\r\n													<td style=\"padding: 20px 0; text-align: right; line-height: 24px; color: #707070;\">\r\n														<div>{{ triggerTime }}</div>\r\n													</td>\r\n												</tr>\r\n											</table>\r\n										</td>\r\n									</tr>\r\n									<tr class=\"email-footer\">\r\n										<td style=\" padding: 20px 0 20px 36px; border-top: 1px solid #e6e6e6; background: #fff; color: #c7c7c7;\">Your name is in \"Notify To\" field of this Cron settings, that\'s why you received this message.</td>\r\n									</tr>\r\n								</table>\r\n							</td>\r\n						</tr>\r\n					</tbody>\r\n			   </table>\r\n			</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n', 'admin', 'admin', 0, 0, b'0');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (29, 'beforeCronJobEnd', '定时任务结束前通知模板', 'rtx', '【蓝鲸作业平台】定时任务结束前提醒', '下列定时任务将在{{ notify_time }}分钟后结束并关闭\r\n任务名称：{{ cron_name }}\r\n所属业务：{{ APP_NAME }}\r\n　设置人：{{ cron_updater }}\r\n执行策略：{{ cron_type }}\r\n策略详情：{{ cron_rule }}\r\n查看详情：{{BASE_HOST}}{{cron_uri}}', '【BlueKing JOB】Cron End-time Notification', 'The task will Turn-Off automatically after {{ notify_time }} mins, please be noted!\r\n    Task Name: {{ cron_name }}\r\n        Business: {{ APP_NAME }}\r\n       Operator: {{ cron_updater }}\r\nREPEAT FREQ: {{ cron_type }}\r\n       Time Set: {{ cron_rule }}\r\n          Details: {{BASE_HOST}}{{cron_uri}}', 'admin', 'admin', 0, 0, b'0');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (30, 'beforeCronJobEnd', '定时任务结束前通知模板', 'sms', '定时任务结束前提醒：您的业务[{{ APP_NAME }}]有一个定时任务[{{ cron_name }}]将在{{ notify_time }}分钟后结束并关闭，请知悉。【蓝鲸作业平台】', '定时任务结束前提醒：您的业务[{{ APP_NAME }}]有一个定时任务[{{ cron_name }}]将在{{ notify_time }}分钟后结束并关闭，请知悉。【蓝鲸作业平台】', 'Cron End-time Notification: There\'s a task of [{{ APP_NAME }}] will Turn-Off automatically after {{ notify_time }} mins, more details: {{BASE_HOST}}{{cron_uri}}【BlueKing JOB】', 'Cron End-time Notification: There\'s a task of [{{ APP_NAME }}] will Turn-Off automatically after {{ notify_time }} mins, more details: {{BASE_HOST}}{{cron_uri}}【BlueKing JOB】', 'admin', 'admin', 0, 0, b'0');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (31, 'beforeCronJobEnd', '定时任务结束前通知模板', 'weixin', '【蓝鲸作业平台】定时任务结束前提醒', '下列定时任务将在{{ notify_time }}分钟后结束并关闭\r\n任务名称：{{ cron_name }}\r\n所属业务：{{ APP_NAME }}\r\n　设置人：{{ cron_updater }}\r\n执行策略：{{ cron_type }}\r\n策略详情：{{ cron_rule }}\r\n查看详情：{{BASE_HOST}}{{cron_uri}}', '【BlueKing JOB】Cron End-time Notification', 'The task will Turn-Off automatically after {{ notify_time }} mins, please be noted!\r\n    Task Name: {{ cron_name }}\r\n        Business: {{ APP_NAME }}\r\n       Operator: {{ cron_updater }}\r\nREPEAT FREQ: {{ cron_type }}\r\n       Time Set: {{ cron_rule }}\r\n          Details: {{BASE_HOST}}{{cron_uri}}', 'admin', 'admin', 0, 0, b'0');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (32, 'confirmation', '人工确认', 'mail', '【蓝鲸作业平台】您有一个待确认的作业需要处理', '<table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; background-color: #fff; background: #fff;\"> <tbody> <tr> <td align=\"center\" valign=\"top\" width=\"100%\" style=\"padding: 16px;\"> <table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"956\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; padding-top:30px;\"> <tbody> <tr> <td valign=\"top\" align=\"center\" style=\"padding: 24px;\" bgcolor=\"#f9f8f6\"> <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6;\"> <tr> <td class=\"email-title\" style=\"padding: 20px 36px; line-height: 1.5; border-bottom: 1px solid #e6e6e6; background: #fff; font-size: 22px;\">【蓝鲸作业平台】您有 1 条待确认的作业任务需要处理</td> </tr> <tr> <td class=\"email-content\" style=\"padding: 0 36px; background: #fff;\"> <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\"> <tr> <td class=\"email-source\" style=\"padding: 14px 0; color: #bebebe;\">来自 蓝鲸作业平台 的消息推送</td> </tr>  <tr class=\"email-information\"> <td class=\"table-info\"> <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\"> <tr class=\"table-title\"> <td style=\"padding-top: 36px; padding-bottom: 14px; color: #707070;\">以下作业任务当前正处于「<font style=\"font-weight:bold;color:orange;\">人工确认</font>」状态，需要您确认才能继续执行：</td> </tr> <tr> <td> <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6; border-collapse: collapse;\"> <tbody style=\"color: #707070;\"> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">任务名称</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"><a href=\"{{task.detail.url}}\" style=\"color: #3c96ff\"> {{task.name}}</a></td> </tr> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">所属业务</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\">[{{task.app.id}}] {{task.app.name}}</td> </tr> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">执行人</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{task.operator}}</td> </tr> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">当前步骤</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{task.step.name}}</td> </tr> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">确认描述</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{confirm.message}}</td> </tr> </tbody> </table> </td> </tr> </table> </td> </tr>  <tr class=\"prompt-tips\"> <td style=\"padding-top: 32px; padding-bottom: 10px; color: #707070;\">如有任何疑问，请随时联系蓝鲸助手。</td> </tr> <tr class=\"info-remark\"> <td style=\"padding: 20px 0; text-align: right; line-height: 24px; color: #707070;\"> <div>{{current.date}}</div> </td> </tr> </table> </td> </tr> <tr class=\"email-footer\"> <td style=\" padding: 20px 0 20px 36px; border-top: 1px solid #e6e6e6; background: #fff; color: #c7c7c7;\">你收到此邮件，是因为你的名字在该任务的「人工确认」步骤的确认人当中。</td> </tr> </table> </td> </tr> </tbody> </table> </td> </tr> </tbody> </table>', '【BlueKing JOB】There\'s one message needs you to confirm', '<table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; background-color: #fff; background: #fff;\">\r\n	<tbody>\r\n		<tr>\r\n			<td align=\"center\" valign=\"top\" width=\"100%\" style=\"padding: 16px;\">\r\n			   <table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"956\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; padding-top:30px;\">\r\n					<tbody>\r\n						<tr>\r\n							<td valign=\"top\" align=\"center\" style=\"padding: 24px;\" bgcolor=\"#f9f8f6\">\r\n								<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6;\">\r\n									<tr>\r\n										<td class=\"email-title\" style=\"padding: 20px 36px; line-height: 1.5; border-bottom: 1px solid #e6e6e6; background: #fff; font-size: 22px;\">【BlueKing JOB】There\'s one message needs you to confirm</td>\r\n									</tr>\r\n									<tr>\r\n										<td class=\"email-content\" style=\"padding: 0 36px; background: #fff;\">\r\n											<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n												<tr>\r\n													<td class=\"email-source\" style=\"padding: 14px 0; color: #bebebe;\">This message is from <b>BlueKing JOB</b></td>\r\n												</tr>\r\n\r\n												<tr class=\"email-information\">\r\n													<td class=\"table-info\">\r\n														<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n															<tr class=\"table-title\">\r\n																<td style=\"padding-top: 36px; padding-bottom: 14px; color: #707070;\">The task below is on \"<font style=\"font-weight:bold;color:orange;\">Confirmation</font>\" status, it needs your permission to continues:</td>\r\n															</tr>\r\n															<tr>\r\n																<td>\r\n																	<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6; border-collapse: collapse;\">\r\n																		<tbody style=\"color: #707070;\">\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">TASK NAME</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"><a href=\"\" style=\"color: #3c96ff\"> {{task.name}}</a></td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">BUSINESS</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\">[{{task.app.id}}] {{task.app.name}}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">LAUNCHED BY</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{task.operator}}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">CURRENT STEP</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{task.step.name}}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">CONFIRMATION INFO</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{confirm.message}}</td>\r\n																			</tr>\r\n																		</tbody>\r\n																	</table>\r\n																</td>\r\n															</tr>\r\n														</table>\r\n													</td>\r\n												</tr>\r\n\r\n												<tr class=\"prompt-tips\">\r\n													<td style=\"padding-top: 32px; padding-bottom: 10px; color: #707070;\">If You Have Any Questions or Concerns, Please Contact BK Assistant.</td>\r\n												</tr>\r\n												<tr class=\"info-remark\">\r\n													<td style=\"padding: 20px 0; text-align: right; line-height: 24px; color: #707070;\">\r\n														<div>{{current.date}}</div>\r\n													</td>\r\n												</tr>\r\n											</table>\r\n										</td>\r\n									</tr>\r\n									<tr class=\"email-footer\">\r\n										<td style=\" padding: 20px 0 20px 36px; border-top: 1px solid #e6e6e6; background: #fff; color: #c7c7c7;\">Your name is in \"Confirmer\" field of this Confirmation step, that\'s why you received this message.</td>\r\n									</tr>\r\n								</table>\r\n							</td>\r\n						</tr>\r\n					</tbody>\r\n			   </table>\r\n			</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n', 'admin', 'admin', 0, 0, b'0');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (33, 'executeSuccess', '执行成功', 'mail', '【蓝鲸作业平台】任务执行成功通知', '<table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; background-color: #fff; background: #fff;\"> <tbody> <tr> <td align=\"center\" valign=\"top\" width=\"100%\" style=\"padding: 16px;\"> <table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"956\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; padding-top:30px;\"> <tbody> <tr> <td valign=\"top\" align=\"center\" style=\"padding: 24px;\" bgcolor=\"#f9f8f6\"> <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6;\"> <tr> <td class=\"email-title\" style=\"padding: 20px 36px; line-height: 1.5; border-bottom: 1px solid #e6e6e6; background: #fff; font-size: 22px;\">【蓝鲸作业平台】任务执行成功通知</td> </tr> <tr> <td class=\"email-content\" style=\"padding: 0 36px; background: #fff;\"> <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\"> <tr> <td class=\"email-source\" style=\"padding: 14px 0; color: #bebebe;\">来自 蓝鲸作业平台 的消息推送</td> </tr>  <tr class=\"email-information\"> <td class=\"table-info\"> <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\"> <tr class=\"table-title\"> <td style=\"padding-top: 36px; padding-bottom: 14px; color: #707070;\">以下作业任务已「<font style=\"font-weight:bold; color:#56da56;\">执行成功</font>」，请查收：</td> </tr> <tr> <td> <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6; border-collapse: collapse;\"> <tbody style=\"color: #707070;\"> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">任务名称</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"><a href=\"{{task.detail.url}}\" style=\"color: #3c96ff\"> {{task.name}}</a></td> </tr> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">所属业务</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\">[{{task.app.id}}] {{task.app.name}}</td> </tr> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">执行人</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{task.operator}}</td> </tr> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">总耗时</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{task.cost}}<br></td> </tr> </tbody> </table> </td> </tr> </table> </td> </tr>  <tr class=\"prompt-tips\"> <td style=\"padding-top: 32px; padding-bottom: 10px; color: #707070;\">如有任何疑问，请随时联系蓝鲸助手。</td> </tr> <tr class=\"info-remark\"> <td style=\"padding: 20px 0; text-align: right; line-height: 24px; color: #707070;\"> <div>{{current.date}}</div> </td> </tr> </table> </td> </tr> <tr class=\"email-footer\"> <td style=\" padding: 20px 0 20px 36px; border-top: 1px solid #e6e6e6; background: #fff; color: #c7c7c7;\">你收到此邮件，是因为开启了任务执行成功的消息通知功能。</td> </tr> </table> </td> </tr> </tbody> </table> </td> </tr> </tbody> </table>', '【BlueKing JOB】Task has running successfully', '<table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; background-color: #fff; background: #fff;\">\r\n	<tbody>\r\n		<tr>\r\n			<td align=\"center\" valign=\"top\" width=\"100%\" style=\"padding: 16px;\">\r\n			   <table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"956\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; padding-top:30px;\">\r\n					<tbody>\r\n						<tr>\r\n							<td valign=\"top\" align=\"center\" style=\"padding: 24px;\" bgcolor=\"#f9f8f6\">\r\n								<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6;\">\r\n									<tr>\r\n										<td class=\"email-title\" style=\"padding: 20px 36px; line-height: 1.5; border-bottom: 1px solid #e6e6e6; background: #fff; font-size: 22px;\">【BlueKing JOB】Task has running successfully</td>\r\n									</tr>\r\n									<tr>\r\n										<td class=\"email-content\" style=\"padding: 0 36px; background: #fff;\">\r\n											<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n												<tr>\r\n													<td class=\"email-source\" style=\"padding: 14px 0; color: #bebebe;\">This message is from <b>BlueKing JOB</b></td>\r\n												</tr>\r\n\r\n												<tr class=\"email-information\">\r\n													<td class=\"table-info\">\r\n														<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n															<tr class=\"table-title\">\r\n																<td style=\"padding-top: 36px; padding-bottom: 14px; color: #707070;\">The task below has running <font style=\"font-weight:bold; color:#56da56;\">Successfully</font>, please be noted.</td>\r\n															</tr>\r\n															<tr>\r\n																<td>\r\n																	<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6; border-collapse: collapse;\">\r\n																		<tbody style=\"color: #707070;\">\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">TASK NAME</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"><a href=\"\" style=\"color: #3c96ff\"> {{task.name}}</a></td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">BUSINESS</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\">[{{task.app.id}}] {{task.app.name}}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">LAUNCHED BY</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{task.operator}}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">DURATION</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{task.cost}} s</td>\r\n																			</tr>\r\n																		</tbody>\r\n																	</table>\r\n																</td>\r\n															</tr>\r\n														</table>\r\n													</td>\r\n												</tr>\r\n\r\n												<tr class=\"prompt-tips\">\r\n													<td style=\"padding-top: 32px; padding-bottom: 10px; color: #707070;\">If You Have Any Questions or Concerns, Please Contact BK Assistant.</td>\r\n												</tr>\r\n												<tr class=\"info-remark\">\r\n													<td style=\"padding: 20px 0; text-align: right; line-height: 24px; color: #707070;\">\r\n														<div>{{current.date}}</div>\r\n													</td>\r\n												</tr>\r\n											</table>\r\n										</td>\r\n									</tr>\r\n									<tr class=\"email-footer\">\r\n										<td style=\" padding: 20px 0 20px 36px; border-top: 1px solid #e6e6e6; background: #fff; color: #c7c7c7;\">You can receive this message because you have been turn-on the notification setting of task running success.</td>\r\n									</tr>\r\n								</table>\r\n							</td>\r\n						</tr>\r\n					</tbody>\r\n			   </table>\r\n			</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n', 'admin', 'admin', 0, 0, b'0');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (34, 'executeFailure', '执行失败', 'mail', '【蓝鲸作业平台】任务执行失败通知', '<table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; background-color: #fff; background: #fff;\"> <tbody> <tr> <td align=\"center\" valign=\"top\" width=\"100%\" style=\"padding: 16px;\"> <table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"956\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; padding-top:30px;\"> <tbody> <tr> <td valign=\"top\" align=\"center\" style=\"padding: 24px;\" bgcolor=\"#f9f8f6\"> <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6;\"> <tr> <td class=\"email-title\" style=\"padding: 20px 36px; line-height: 1.5; border-bottom: 1px solid #e6e6e6; background: #fff; font-size: 22px;\">【蓝鲸作业平台】任务执行失败通知</td> </tr> <tr> <td class=\"email-content\" style=\"padding: 0 36px; background: #fff;\"> <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\"> <tr> <td class=\"email-source\" style=\"padding: 14px 0; color: #bebebe;\">来自 蓝鲸作业平台 的消息推送</td> </tr>  <tr class=\"email-information\"> <td class=\"table-info\"> <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\"> <tr class=\"table-title\"> <td style=\"padding-top: 36px; padding-bottom: 14px; color: #707070;\">以下作业任务当前正处于「<font style=\"font-weight:bold;color:red;\">执行失败</font>」状态，请及时处理：</td> </tr> <tr> <td> <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6; border-collapse: collapse;\"> <tbody style=\"color: #707070;\"> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">任务名称</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"><a href=\"{{task.detail.url}}\" style=\"color: #3c96ff\"> {{task.name}}</a></td> </tr> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">所属业务</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\">[{{task.app.id}}] {{task.app.name}}</td> </tr> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">执行人</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{task.operator}}</td> </tr> <tr> <td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">失败步骤</td> <td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{task.step.name}}</td> </tr> </tbody> </table> </td> </tr> </table> </td> </tr>  <tr class=\"prompt-tips\"> <td style=\"padding-top: 32px; padding-bottom: 10px; color: #707070;\">如有任何疑问，请随时联系蓝鲸助手。</td> </tr> <tr class=\"info-remark\"> <td style=\"padding: 20px 0; text-align: right; line-height: 24px; color: #707070;\"> <div>{{current.date}}</div> </td> </tr> </table> </td> </tr> <tr class=\"email-footer\"> <td style=\" padding: 20px 0 20px 36px; border-top: 1px solid #e6e6e6; background: #fff; color: #c7c7c7;\">你收到此邮件，是因为开启了任务执行失败的消息通知功能。</td> </tr> </table> </td> </tr> </tbody> </table> </td> </tr> </tbody> </table>', '【BlueKing JOB】Task failed during execution', '<table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; background-color: #fff; background: #fff;\">\r\n	<tbody>\r\n		<tr>\r\n			<td align=\"center\" valign=\"top\" width=\"100%\" style=\"padding: 16px;\">\r\n			   <table class=\"template-table\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"956\" style=\"font-size: 14px; min-width: auto; mso-table-lspace: 0pt; mso-table-rspace: 0pt; padding-top:30px;\">\r\n					<tbody>\r\n						<tr>\r\n							<td valign=\"top\" align=\"center\" style=\"padding: 24px;\" bgcolor=\"#f9f8f6\">\r\n								<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6;\">\r\n									<tr>\r\n										<td class=\"email-title\" style=\"padding: 20px 36px; line-height: 1.5; border-bottom: 1px solid #e6e6e6; background: #fff; font-size: 22px;\">【BlueKing JOB】Task failed during execution</td>\r\n									</tr>\r\n									<tr>\r\n										<td class=\"email-content\" style=\"padding: 0 36px; background: #fff;\">\r\n											<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n												<tr>\r\n													<td class=\"email-source\" style=\"padding: 14px 0; color: #bebebe;\">This message is from <b>BlueKing JOB</b></td>\r\n												</tr>\r\n\r\n												<tr class=\"email-information\">\r\n													<td class=\"table-info\">\r\n														<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt;\">\r\n															<tr class=\"table-title\">\r\n																<td style=\"padding-top: 36px; padding-bottom: 14px; color: #707070;\">The task below is on \"<font style=\"font-weight:bold;color:red;\">Failed</font>\" status, please be noted!</td>\r\n															</tr>\r\n															<tr>\r\n																<td>\r\n																	<table cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"font-size: 14px; mso-table-lspace: 0pt; mso-table-rspace: 0pt; border: 1px solid #e6e6e6; border-collapse: collapse;\">\r\n																		<tbody style=\"color: #707070;\">\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">TASK NAME</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"><a href=\"\" style=\"color: #3c96ff\"> {{task.name}}</a></td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">BUSINESS</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\">[{{task.app.id}}] {{task.app.name}}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">LAUNCHED BY</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{task.operator}}</td>\r\n																			</tr>\r\n																			<tr>\r\n																				<td width=\"30%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: right; font-weight: bold; background-color: #f3f3f3;\">FAILED_STEP</td>\r\n																				<td width=\"70%\" style=\" padding: 16px; border: 1px solid #e6e6e6;text-align: left; font-weight: normal;\"> {{task.step.name}}</td>\r\n																			</tr>\r\n																		</tbody>\r\n																	</table>\r\n																</td>\r\n															</tr>\r\n														</table>\r\n													</td>\r\n												</tr>\r\n\r\n												<tr class=\"prompt-tips\">\r\n													<td style=\"padding-top: 32px; padding-bottom: 10px; color: #707070;\">If You Have Any Questions or Concerns, Please Contact BK Assistant.</td>\r\n												</tr>\r\n												<tr class=\"info-remark\">\r\n													<td style=\"padding: 20px 0; text-align: right; line-height: 24px; color: #707070;\">\r\n														<div>{{current.date}}</div>\r\n													</td>\r\n												</tr>\r\n											</table>\r\n										</td>\r\n									</tr>\r\n									<tr class=\"email-footer\">\r\n										<td style=\" padding: 20px 0 20px 36px; border-top: 1px solid #e6e6e6; background: #fff; color: #c7c7c7;\">You can receive this message because you have been turn-on the notification setting of task running failed.</td>\r\n									</tr>\r\n								</table>\r\n							</td>\r\n						</tr>\r\n					</tbody>\r\n			   </table>\r\n			</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n', 'admin', 'admin', 0, 0, b'0');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (35, 'confirmation', '人工确认', 'weixin', '【蓝鲸作业平台】待确认任务', '任务名称：{{task.name}}\n所属业务：{{task.app.name}}\n   执行人：{{task.operator}}\n当前步骤：{{task.step.name}}\n确认描述：{{confirm.message}}\n查看详情：{{task.detail.url}}', '【BlueKing JOB】There\'s one message needs you to confirm', '   Task Name: {{task.name}}\r\n    Business: {{task.app.name}}\r\n Launched By: {{task.operator}}\r\nCurrent Step: {{task.step.name}}\r\nConfirm Info: {{confirm.message}}\r\n     Details: {{task.detail.url}}', 'admin', 'admin', 0, 0, b'0');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (36, 'executeSuccess', '执行成功', 'weixin', '【蓝鲸作业平台】任务执行成功通知', '任务名称：{{task.name}}\n所属业务：{{task.app.name}}\n   执行人：{{task.operator}}\n执行耗时：{{task.cost}}\n查看详情：{{task.detail.url}}', '【BlueKing JOB】Task has running successfully', '  Task Name: {{task.name}}\r\n   Business: {{task.app.name}}\r\nLaunched By: {{task.operator}}\r\n   Duration: {{task.cost}} s\r\n    Details: {{task.detail.url}}', 'admin', 'admin', 0, 0, b'0');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (37, 'executeFailure', '执行失败', 'weixin', '【蓝鲸作业平台】任务执行失败通知', '任务名称：{{task.name}}\n所属业务：{{task.app.name}}\n   执行人：{{task.operator}}\n失败步骤：{{task.step.name}}\n查看详情：{{task.detail.url}}', '【BlueKing JOB】Task failed during execution', '  Task Name: {{task.name}}\r\n   Business: {{task.app.name}}\r\nLaunched By: {{task.operator}}\r\nFailed Step: {{task.step.name}}\r\n    Details: {{task.detail.url}}', 'admin', 'admin', 0, 0, b'0');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (38, 'confirmation', '人工确认', 'sms', '【蓝鲸作业平台】待确认任务', '您的业务[{{task.app.name}}]当前有一个待确认的作业任务:{{task.name}}({{task.detail.url}})需要处理，请尽快操作。【蓝鲸作业平台】', '【BlueKing JOB】There\'s one message needs you to confirm', 'There\'s a task of [{{task.app.name}}] is on \"Confirmation\" status now, more details: {{task.name}}({{task.detail.url}})【BlueKing JOB】', 'admin', 'admin', 0, 0, b'0');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (39, 'executeSuccess', '执行成功', 'sms', '【蓝鲸作业平台】任务执行成功通知', '您的业务[{{task.app.name}}]当前有一个任务:{{task.name}}({{task.detail.url}})已执行成功，请尽快查看。【蓝鲸作业平台】', '【BlueKing JOB】Task has running successfully', 'There\'s a task of [{{task.app.name}}] is running successfully, more details: {{task.name}}({{task.detail.url}})【BlueKing JOB】', 'admin', 'admin', 0, 0, b'0');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (40, 'executeFailure', '执行失败', 'sms', '【蓝鲸作业平台】任务执行失败通知', '您的业务[{{task.app.name}}]当前有一个任务:{{task.name}}({{task.detail.url}})执行失败，请尽快查看。【蓝鲸作业平台】', '【BlueKing JOB】Task failed during execution', 'There\'s a task of [{{task.app.name}}] is run \"Failed\", please be noted! more details: {{task.name}}({{task.detail.url}})【BlueKing JOB】', 'admin', 'admin', 0, 0, b'0');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (41, 'confirmation', '人工确认', 'common', '【蓝鲸作业平台】您有一个待确认的作业需要处理', '任务名称：{{task.name}}\n所属业务：{{task.app.name}}\n   执行人：{{task.operator}}\n当前步骤：{{task.step.name}}\n确认描述：{{confirm.message}}\n查看详情：{{task.detail.url}}', '【BlueKing JOB】There\'s one message needs you to confirm', '   Task Name: {{task.name}}\r\n    Business: {{task.app.name}}\r\n Launched By: {{task.operator}}\r\nCurrent Step: {{task.step.name}}\r\nConfirm Info: {{confirm.message}}\r\nTask Details: {{task.detail.url}}', 'admin', 'admin', 0, 0, b'0');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (42, 'executeSuccess', '执行成功', 'common', '【蓝鲸作业平台】任务执行成功通知', '任务名称：{{task.name}}\n所属业务：{{task.app.name}}\n   执行人：{{task.operator}}\n执行耗时：{{task.cost}}\n查看详情：{{task.detail.url}}', '【BlueKing JOB】Task has running successfully', '  Task Name: {{task.name}}\r\n   Business: {{task.app.name}}\r\nLaunched By: {{task.operator}}\r\n   Duration: {{task.cost}} s\r\n    Details: {{task.detail.url}}', 'admin', 'admin', 0, 0, b'0');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (43, 'executeFailure', '执行失败', 'common', '【蓝鲸作业平台】任务执行失败通知', '任务名称：{{task.name}}\n所属业务：{{task.app.name}}\n   执行人：{{task.operator}}\n失败步骤：{{task.step.name}}\n查看详情：{{task.detail.url}}', '【BlueKing JOB】Task failed during execution', '  Task Name: {{task.name}}\r\n   Business: {{task.app.name}}\r\nLaunched By: {{task.operator}}\r\nFailed Step: {{task.step.name}}\r\n    Details: {{task.detail.url}}', 'admin', 'admin', 0, 0, b'0');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (44, 'confirmation', '人工确认', 'rtx', '【蓝鲸作业平台】待确认任务', '任务名称：{{task.name}}\r\n所属业务：{{task.app.name}}\r\n  执行人：{{task.operator}}\r\n当前步骤：{{task.step.name}}\r\n确认描述：{{confirm.message}}\r\n查看详情：{{task.detail.url}}', '【BlueKing JOB】There\'s one message needs you to confirm', '   Task Name: {{task.name}}\r\n    Business: {{task.app.name}}\r\n Launched By: {{task.operator}}\r\nCurrent Step: {{task.step.name}}\r\nConfirm Info: {{confirm.message}}\r\nTask Details: {{task.detail.url}}', 'admin', 'admin', 0, 0, b'0');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (45, 'executeSuccess', '执行成功', 'rtx', '【蓝鲸作业平台】任务执行成功通知', '任务名称：{{task.name}}\n所属业务：{{task.app.name}}\n   执行人：{{task.operator}}\n执行耗时：{{task.cost}}\n查看详情：{{task.detail.url}}', '【BlueKing JOB】Task has running successfully', '  Task Name: {{task.name}}\r\n   Business: {{task.app.name}}\r\nLaunched By: {{task.operator}}\r\n   Duration: {{task.cost}} s\r\n    Details: {{task.detail.url}}', 'admin', 'admin', 0, 0, b'0');
INSERT INTO `notify_template`(`id`, `code`, `name`, `channel`, `title`, `content`, `title_en`, `content_en`, `creator`, `last_modify_user`, `create_time`, `last_modify_time`, `is_default`) VALUES (46, 'executeFailure', '执行失败', 'rtx', '【蓝鲸作业平台】任务执行失败通知', '任务名称：{{task.name}}\n所属业务：{{task.app.name}}\n   执行人：{{task.operator}}\n失败步骤：{{task.step.name}}\n查看详情：{{task.detail.url}}', '【BlueKing JOB】Task failed during execution', '  Task Name: {{task.name}}\r\n   Business: {{task.app.name}}\r\nLaunched By: {{task.operator}}\r\nFailed Step: {{task.step.name}}\r\n    Details: {{task.detail.url}}', 'admin', 'admin', 0, 0, b'0');
COMMIT;
